"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "doc/README-ja.md" between
bat-0.15.0.tar.gz and bat-0.15.1.tar.gz

About: bat is a cat(1) clone "with wings" (syntax highlighting and Git integration).

README-ja.md  (bat-0.15.0):README-ja.md  (bat-0.15.1)
skipping to change at line 182 skipping to change at line 182
Ubuntu Eoan 19.10 または Debian 不安定版 sid 以降の [the Ubuntu `bat` package](https://pac kages.ubuntu.com/eoan/bat) または [the Debian `bat` package](https://packages.debia n.org/sid/bat) をインストールできます: Ubuntu Eoan 19.10 または Debian 不安定版 sid 以降の [the Ubuntu `bat` package](https://pac kages.ubuntu.com/eoan/bat) または [the Debian `bat` package](https://packages.debia n.org/sid/bat) をインストールできます:
```bash ```bash
apt install bat apt install bat
``` ```
batの最新リリースを実行する場合、または Ubuntu/Debian の古いバージョンを使用している場合は、[release page](https://gi thub.com/sharkdp/bat/releases) から最新の `.deb` パッケージをダウンロードし、 batの最新リリースを実行する場合、または Ubuntu/Debian の古いバージョンを使用している場合は、[release page](https://gi thub.com/sharkdp/bat/releases) から最新の `.deb` パッケージをダウンロードし、
次の方法でインストールします: 次の方法でインストールします:
```bash ```bash
sudo dpkg -i bat_0.15.0_amd64.deb # adapt version number and architecture sudo dpkg -i bat_0.15.1_amd64.deb # adapt version number and architecture
``` ```
### On Alpine Linux ### On Alpine Linux
適切なリポジトリが有効になっている場合は、 適切なリポジトリが有効になっている場合は、
公式のソースから [`bat` package](https://pkgs.alpinelinux.org/packages?name=bat) をインストール できます: 公式のソースから [`bat` package](https://pkgs.alpinelinux.org/packages?name=bat) をインストール できます:
```bash ```bash
apk add bat apk add bat
``` ```
skipping to change at line 345 skipping to change at line 345
### From binaries ### From binaries
多くの異なるアーキテクチャのためのプレビルドバージョンを[リリースページ](https://github.com/sharkdp/bat/releases)から チェックしてみてください。静的にリンクされている多くのバイナリも利用できます: ファイル名に `musl` を含むアーカイブを探します。 多くの異なるアーキテクチャのためのプレビルドバージョンを[リリースページ](https://github.com/sharkdp/bat/releases)から チェックしてみてください。静的にリンクされている多くのバイナリも利用できます: ファイル名に `musl` を含むアーカイブを探します。
### From source ### From source
`bat` をソースからビルドしたいならば、Rust 1.36 以上の環境が必要です。 `bat` をソースからビルドしたいならば、Rust 1.36 以上の環境が必要です。
そして `cargo` をビルドに対して使用します: そして `cargo` をビルドに対して使用します:
```bash ```bash
cargo install bat cargo install --locked bat
``` ```
一部のプラットフォームでは `llvm` および/または `libclang-dev` のインストールが必要になる場合があります。 一部のプラットフォームでは `llvm` および/または `libclang-dev` のインストールが必要になる場合があります。
## カスタマイズ ## カスタマイズ
### ハイライト テーマ ### ハイライト テーマ
`bat --list-themes` を使うと現在利用可能なシンタックスハイライトのテーマを入手できます。 `bat --list-themes` を使うと現在利用可能なシンタックスハイライトのテーマを入手できます。
`TwoDark` テーマを選ぶためには `TwoDark` テーマを選ぶためには
skipping to change at line 594 skipping to change at line 594
git clone --recursive https://github.com/sharkdp/bat git clone --recursive https://github.com/sharkdp/bat
# Build (debug version) # Build (debug version)
cd bat cd bat
cargo build --bins cargo build --bins
# Run unit tests and integration tests # Run unit tests and integration tests
cargo test cargo test
# Install (release version) # Install (release version)
cargo install cargo install --locked
# Build a bat binary with modified syntaxes and themes # Build a bat binary with modified syntaxes and themes
bash assets/create.sh bash assets/create.sh
cargo install -f cargo install --locked --force
``` ```
## Maintainers ## Maintainers
- [sharkdp](https://github.com/sharkdp) - [sharkdp](https://github.com/sharkdp)
- [eth-p](https://github.com/eth-p) - [eth-p](https://github.com/eth-p)
## プロジェクトの目標と既存の類似したOSS ## プロジェクトの目標と既存の類似したOSS
`bat` は以下の目標を達成しようと試みています: `bat` は以下の目標を達成しようと試みています:
 End of changes. 4 change blocks. 
4 lines changed or deleted 4 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)